import {Component} from '@angular/core'
import {AlertHandlerComponent, AlertService, AlertType} from '../../service/alert.service'

@Component({
  selector: 'cre-global-alert-handler',
  templateUrl: './global-alert-handler.component.html',
  styleUrls: ['./global-alert-handler.component.sass']
})
export class GlobalAlertHandlerComponent extends AlertHandlerComponent {
  readonly SUCCESS_ALERT_TYPE = AlertType.Success
  readonly WARNING_ALERT_TYPE = AlertType.Warning
  readonly ERROR_ALERT_TYPE = AlertType.Error

  constructor(alertService: AlertService) {
    super(alertService)
  }
}
